<template>
  <button class="button"><slot></slot></button>
</template>

<style lang="scss" scoped>
.button {
  cursor: pointer;
  display: grid;
  place-content: center;
  border-radius: 1.2rem;
  font-weight: 500;
  line-height: 0;
  color: var(--color-light);
  background-color: var(--color-primary);
  box-shadow: var(--box-shadow-size) var(--color-primary-shadow-light);

  &:hover {
    transform: scale(1.05);
  }

  &:focus {
    outline: solid 0.3rem var(--color-dark);
  }

  transition: transform var(--transition-config), width var(--transition-config),
    height var(--transition-config), padding var(--transition-config);
}
</style>
